View Issue Details

IDProjectCategoryView StatusLast Update
0004075unrealircdpublic2018-12-12 09:24
ReporterbekarfelAssigned Tosyzop 
PrioritynormalSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindows Vista UltimateOS VersionSP2 (6.0.6002)
Product Version3.2.9 
Target VersionFixed in Version4.2.1 
Summary0004075: comments within comments are not ignored
Descriptionhaving a /*comment within a /* comment will cause the IRCd to complain with

[error] D:\program files\unreal3.2\common.ircd.conf:37 Comment on this line does not end
[error] Could not load config file D:\program files\unreal3.2\common.ircd.conf
[error] IRCd configuration failed to load

if the both */ comments aren't closed
Steps To Reproduce[37] /* the following are commented out until we can get updates!
[38] loadmodule "modules/cmdflood.dll";
[39] loadmodule "modules/identonly.dll";
[40] loadmodule "modules/m_nochan.dll";
[41] loadmodule "modules/m_privdeaf.dll";
[42] loadmodule "modules/m_regexcept.dll";
[43] loadmodule "modules/m_securequery.dll";
[44] /* The following modules are commented out until we can get information on how they work
[45] */
Additional Informationa /* comment within a /* comment should be ignored until a close comment */ is received?
TagsNo tags attached.
3rd party modules

Activities

syzop

2012-01-18 11:12

administrator   ~0016868

Agreed. Very annoying. I've experienced this myself (eg, when I talk about /*LINE in a comment).

ohnobinki

2012-01-18 22:11

reporter   ~0016869

So then you are asking for comments to not really be comments? Then suddenly `/*' would have special meaning within a comment instead of just being ignored.

syzop

2012-01-19 10:15

administrator   ~0016871

Right now it's like you describe, binki, which is bad. So if you have two /*'s then you also need two */'s to end the comment(s).

What I want, is it to behave like any other normal (C) parser.
So in a comment, additional /*'s are ignored, and the first occurrence of a */ ends the comment.

ohnobinki

2012-01-19 17:39

reporter   ~0016872

Ah, I approve then :-)

nenolod

2012-01-22 10:04

reporter   ~0016879

I believe Atheme's config parser (which is basically the same as the one in Unreal; same origin anyway) already has fixed this bug, if so I will make a patch to port it over.

syzop

2015-08-08 08:37

administrator   ~0018577

bump

syzop

2018-12-12 09:24

administrator   ~0020405

https://github.com/unrealircd/unrealircd/commit/51ed51dff1177c0dd860145117167353ac1b89fb

commit 51ed51dff1177c0dd860145117167353ac1b89fb
Author: Bram Matthys <syzop@vulnscan.org>
Date: Sat Dec 8 15:51:50 2018 +0100

    Remove non-standard 'nested comments' features, also known as
    "comments within comments are not ignored".
    Reported by bekarfel in https://bugs.unrealircd.org/view.php?id=4075
    FAQ entry: https://www.unrealircd.org/docs/FAQ#Nesting_comments

Issue History

Date Modified Username Field Change
2012-01-17 20:01 bekarfel New Issue
2012-01-18 11:12 syzop Note Added: 0016868
2012-01-18 11:12 syzop Status new => confirmed
2012-01-18 22:11 ohnobinki Note Added: 0016869
2012-01-19 10:15 syzop Note Added: 0016871
2012-01-19 17:39 ohnobinki Note Added: 0016872
2012-01-22 10:04 nenolod Note Added: 0016879
2015-08-08 08:37 syzop Note Added: 0018577
2018-12-12 09:24 syzop Assigned To => syzop
2018-12-12 09:24 syzop Status confirmed => resolved
2018-12-12 09:24 syzop Resolution open => fixed
2018-12-12 09:24 syzop Fixed in Version => 4.2.1
2018-12-12 09:24 syzop Note Added: 0020405